qttools-opensource-src (5.15.18-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.18.
  * Update debian/libqt5designer5.symbols from the logs of buildds.
  * Drop ‘Priority: optional’, it became default in dpkg 1.22.12.
  * Bump Standards-Version to 4.7.3.
  * Refresh debian/patches/test_local_binaries.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jan 2026 23:54:29 +0300

qttools-opensource-src (5.15.17-4) unstable; urgency=medium

  * Enable qdoc-qt5 on powerpc (closes: #1119907).
  * Update debian/libqt5designer5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Nov 2025 21:07:20 +0300

qttools-opensource-src (5.15.17-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 23:04:31 +0300

qttools-opensource-src (5.15.17-2) experimental; urgency=medium

  * Remove Qt_5.x symbols from the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Jul 2025 11:38:35 +0300

qttools-opensource-src (5.15.17-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.17.
  * Refresh debian/patches/test_local_binaries.diff.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Jul 2025 23:16:26 +0300

qttools-opensource-src (5.15.15-6) unstable; urgency=medium

  * Enable qdoc on hurd-amd64 (closes: #1095061). Thanks Samuel Thibault!

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 03 Feb 2025 15:00:42 +0300

qttools-opensource-src (5.15.15-5) unstable; urgency=medium

  * Remove Qt WebKit support (closes: #1093552).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 20 Jan 2025 13:49:18 +0300

qttools-opensource-src (5.15.15-4) unstable; urgency=medium

  * Update debian/libqt5designer5.symbols for hurd-amd64.
  * Update lists of architectures with QtWebKit and LLVM (closes: #1089214).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Dec 2024 16:38:01 +0300

qttools-opensource-src (5.15.15-3) unstable; urgency=medium

  * Team upload.
  * Temporarily drop support on alpha for QtWebKit, as it has not been building
    in the last few months.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sun, 24 Nov 2024 10:17:28 +0100

qttools-opensource-src (5.15.15-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:48:13 +0300

qttools-opensource-src (5.15.15-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Update symbols files from buildds’ logs.
  * Refresh debian/patches/test_local_binaries.diff.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Sep 2024 12:09:55 +0300

qttools-opensource-src (5.15.13-4) unstable; urgency=medium

  * Build with default LLVM version again (closes: #1072673).
    - Add a patch to disable two failing tests.
  * Update debian/libqt5designer5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Aug 2024 20:40:28 +0300

qttools-opensource-src (5.15.13-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 18:52:31 +0300

qttools-opensource-src (5.15.13-2) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove Timo and myself from Uploaders.

  [ Dmitry Shachnev ]
  * Merge 5.15.10-7 upload from unstable.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Apr 2024 23:29:29 +0300

qttools-opensource-src (5.15.13-1) experimental; urgency=medium

  * Merge 5.15.10-6 upload from unstable.
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.
  * Refresh debian/patches/test_local_binaries.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 Mar 2024 14:01:33 +0300

qttools-opensource-src (5.15.12-2) experimental; urgency=medium

  * Backport upstream patch to ensure FileAttributeSetTable is filled
    ordered (closes: #1059592).
  * Backport upstream patch to localize SOURCE_DATE_EPOCH to UTC in
    qhelpgenerator (closes: #1059631).
  * Update debian/libqt5designer5.symbols for hurd-i386.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jan 2024 22:58:29 +0300

qttools-opensource-src (5.15.12-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.
  * Update debian/libqt5designer5.symbols from buildds’ logs.
  * Refresh debian/patches/test_local_binaries.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Dec 2023 18:56:35 +0300

qttools-opensource-src (5.15.10-7) unstable; urgency=medium

  * Do not clean assistant.qch, to fix build on architectures without LLVM
    (closes: #1052434).
  * Add tests/auto/qdoc/Makefile to debian/clean.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Apr 2024 23:32:33 +0300

qttools-opensource-src (5.15.10-6) unstable; urgency=medium

  * Backport upstream patch to ensure FileAttributeSetTable is filled
    ordered (closes: #1059592).
  * Backport upstream patch to localize SOURCE_DATE_EPOCH to UTC in
    qhelpgenerator (closes: #1059631).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Feb 2024 15:27:24 +0300

qttools-opensource-src (5.15.10-5) unstable; urgency=medium

  * Remove tests/auto/qhelpenginecore/data/collection1.qhc from debian/clean.
    It is needed for tests, although modified by them (closes: #1051883).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 17 Sep 2023 22:19:03 +0300

qttools-opensource-src (5.15.10-4) unstable; urgency=medium

  * Build with LLVM 15 for now (closes: #1051883).
  * Add more build artifacts to debian/clean (closes: #1045220).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 17 Sep 2023 18:42:17 +0300

qttools-opensource-src (5.15.10-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 11:39:41 +0300

qttools-opensource-src (5.15.10-2) experimental; urgency=medium

  * Mark one symbol as optional to fix build with GCC 13 (closes: #1037831).
  * Drop qdbus transitional package (closes: #1038292).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Jun 2023 16:31:17 +0300

qttools-opensource-src (5.15.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.
  * Refresh test_local_binaries.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Jun 2023 18:18:25 +0300

qttools-opensource-src (5.15.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.
  * Minor debian/copyright updates.
  * Run tests during build.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Apr 2023 20:51:14 +0300

qttools-opensource-src (5.15.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:02:14 +0400

qttools-opensource-src (5.15.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Jan 2023 20:59:43 +0400

qttools-opensource-src (5.15.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:36 +0300

qttools-opensource-src (5.15.7-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + qttools5-doc, qttools5-doc-html: Add Multi-Arch: foreign.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Dec 2022 14:20:00 +0300

qttools-opensource-src (5.15.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:49 +0300

qttools-opensource-src (5.15.6-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 21:38:21 +0300

qttools-opensource-src (5.15.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.
  * Update debian/libqt5designer5.symbols, one internal symbol changed.
  * Update qttools5-examples.lintian-overrides for Lintian pointed hints.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Jul 2022 00:41:35 +0300

qttools-opensource-src (5.15.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:56 +0300

qttools-opensource-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 16:45:59 +0300

qttools-opensource-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Drop reproducible_lastModified.diff, included in the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 08 Mar 2022 18:42:24 +0300

qttools-opensource-src (5.15.2-5) unstable; urgency=medium

  * Make qdbus transitional package Multi-Arch: foreign (closes: #983560).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 26 Feb 2021 15:03:50 +0300

qttools-opensource-src (5.15.2-4) unstable; urgency=medium

  * Add 4: epoch to qdbus transitional package (closes: #983018).
  * Update debian/watch: use format 4, and track only 5.15.x releases.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 19 Feb 2021 15:24:42 +0300

qttools-opensource-src (5.15.2-3) unstable; urgency=medium

  * Add a patch for qhelpgenerator to make lastModified field honor
    the SOURCE_DATE_EPOCH environment variable (closes: #875847).
    Thanks to Kai Pastor!
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:27 +0300

qttools-opensource-src (5.15.2-2) experimental; urgency=medium

  * Add qdbus dummy transitional package for users upgrading from Qt 4
    (closes: #969280).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Nov 2020 21:02:14 +0300

qttools-opensource-src (5.15.2-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Ship all the available icons of assistant, designer, and linguist; ship them
    in the global hicolor icon theme rather than the legacy pixmaps location.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Minor debian/copyright update.
  * Remove build path from .prl files for reproducibility.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 24 Nov 2020 15:09:55 +0300

qttools-opensource-src (5.15.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:54:16 +0300

qttools-opensource-src (5.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Update symbols files from buildds’ logs.
  * Update install files for the new release.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Use ${DEB_HOST_MULTIARCH} substitution in the install files.
  * Update debian/copyright.
    - Fix Lintian wildcard-matches-nothing-in-dep5-copyright warning by
      swapping two entries.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 14 Sep 2020 19:07:08 +0300

qttools-opensource-src (5.14.2-3) unstable; urgency=medium

  * Update symbols files for GCC 10 (closes: #966953).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 03 Aug 2020 17:52:03 +0300

qttools-opensource-src (5.14.2-2) unstable; urgency=medium

  * Update list of architectures where clang is available: remove
    kfreebsd-any, add riscv64.
  * Use debian/clean instead of overriding dh_auto_clean.
  * Do not install Qt5DocToolsConfig*.cmake when qdoc is not built.
  * Bump libqt5webkit5-dev build-dependency to 5.212.0~alpha4-3.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 13:14:06 +0300

qttools-opensource-src (5.14.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Drop both qdoc patches, applied upstream.
  * Enable qwebview designer plugin building on riscv64.
  * Update debian/libqt5designercomponents5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 29 Apr 2020 14:49:25 +0300

qttools-opensource-src (5.14.1-2) experimental; urgency=medium

  * Fix qdoc handling of -isystem option.
  * Update debian/libqt5designercomponents5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 01 Mar 2020 16:03:19 +0300

qttools-opensource-src (5.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.1.
  * Install new tools and development files.
  * Update symbols files from the current build log.
  * Update debian/copyright.
  * Update to debhelper compat level 12.
    - Switch to using debhelper-compat as a build dependency.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 01 Mar 2020 00:11:40 +0300

qttools-opensource-src (5.12.5-2) unstable; urgency=medium

  * Update debian/libqt5designer5.symbols from buildds’ logs.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 11:09:36 +0300

qttools-opensource-src (5.12.5-1) experimental; urgency=medium

  * New upstream release.
  * Update the list of architectures where Qt WebKit is available.
  * Bump Qt build-dependencies to 5.12.5.
  * Drop some old (pre-Stretch) Breaks/Replaces.
  * Install the new Qt5UiPlugin header-only library.
  * Update debian/libqt5designer5.symbols from the current build log.
  * Bump Standards-Version to 4.4.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 Sep 2019 10:49:32 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog qdbus-qt5`.
